<?php

namespace WeStacks\TeleBot\Methods;

use WeStacks\TeleBot\Contracts\TelegramMethod;

/**
 * Use this method to delete a chat photo. Photos can't be changed for private chats. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.
 *
 * @property string $chat_id __Required: Yes__. Unique identifier for the target chat or username of the target channel (in the format @channelusername)
 */
class DeleteChatPhotoMethod extends TelegramMethod
{
    protected string $method = 'deleteChatPhoto';

    protected string $expect = 'boolean';

    protected array $parameters = [
        'chat_id' => 'string',
    ];
}
